Bug 1472210 - Splitstack deployment with containers gives ValueError: The environment is not a valid YAML mapping data type.
Splitstack deployment with containers gives ValueError: The environment is no...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-containers (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Dan Prince
Omri Hochman
Andrew Burden
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 05:17 EDT by Gurenko Alex
Modified: 2017-07-19 10:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-19 10:39:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Deployment files used (20.00 KB, application/x-tar)
2017-07-18 05:17 EDT, Gurenko Alex
no flags Details

  None (edit)
Description Gurenko Alex 2017-07-18 05:17:08 EDT
Created attachment 1300340 [details]
Deployment files used

Description of problem: When trying to deploy RHOSP 12 with containers using splitstack, I'm getting following error: 

Processing environment files deployed-server-role-data.yaml
The environment is not a valid YAML mapping data type.
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 400, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/osc_lib/command/command.py", line 41, in run
    return super(Command, self).run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 97, in run
    return self.take_action(parsed_args) or 0
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 869, in take_action
    self._deploy_tripleo_heat_templates_tmpdir(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 373, in _deploy_tripleo_heat_templates_tmpdir
    new_tht_root, tht_root)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 430, in _deploy_tripleo_heat_templates
    cleanup=not parsed_args.no_cleanup)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 141, in _process_multiple_environments
    env_path=env_path)
  File "/usr/lib/python2.7/site-packages/heatclient/common/template_utils.py", line 309, in process_environment_and_files
    env = environment_format.parse(raw_env)
  File "/usr/lib/python2.7/site-packages/heatclient/common/environment_format.py", line 50, in parse
    raise ValueError(_('The environment is not a valid '
ValueError: The environment is not a valid YAML mapping data type.


Version-Release number of selected component (if applicable):

Build as of: 2017-07-13.2

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

Deployment fails before actually creating a stack

Expected results:

Deployment starts without errors

Additional info:

I'm attaching deployment script and all files used incl. deployed-server-role-data.yaml
Comment 1 James Slagle 2017-07-19 10:34:34 EDT
Based on the error message and traceback it sounds like you are passing deployed-server-role-data.yaml with a -e instead of a -r.

Can you provide the fully deployment command to confirm?
Comment 2 Gurenko Alex 2017-07-19 10:39:55 EDT
(In reply to James Slagle from comment #1)
> Based on the error message and traceback it sounds like you are passing
> deployed-server-role-data.yaml with a -e instead of a -r.
> 
> Can you provide the fully deployment command to confirm?

Yes, I can confirm it, thank you, passing this stage now.

Note You need to log in before you can comment on or make changes to this bug.